BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/category-reorder
postProduct CategoryAdmin BFF

/bff/product-category/category-reorder

Reorder / move category in tree

Product CategorypostBffProduct-categoryCategory-reorder

Parameters

JSON body

Request body

application/json
codestringRequired
newParentCodestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
newPositionnumberRequired

Response schema

1 status code documented

200Success
newPositionnumberRequired
siblingsnumberRequired

Response example

application/json
{
  "newPosition": 0,
  "siblings": 0
}

Request example

POST /bff/product-category/category-reorder

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-reorder" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "newPosition": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key